classification
Title: Remove stale unix datagram socket before binding
Type: enhancement Stage: resolved
Components: asyncio Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, qdawans, yselivanov
Priority: normal Keywords: patch

Created on 2018-07-17 13:52 by qdawans, last changed 2019-04-09 13:42 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 8323 merged python-dev, 2018-07-18 09:22
Messages (3)
msg321829 - (view) Author: Quentin Dawans (qdawans) * Date: 2018-07-17 13:52
Like https://github.com/python/asyncio/commit/806cc68d762acc30490cf5583569e41441c25c35 but for unix datagram socket.

I'm looking into making a PR
msg339748 - (view) Author: miss-islington (miss-islington) Date: 2019-04-09 13:41
New changeset 56065d4c8ac03042cb7e29ffda9b1ac544a37b4d by Miss Islington (bot) (Quentin Dawans) in branch 'master':
bpo-34139: Remove unix datagram socket from FS before binding (GH-8323)
https://github.com/python/cpython/commit/56065d4c8ac03042cb7e29ffda9b1ac544a37b4d
msg339749 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2019-04-09 13:42
Done
History
Date User Action Args
2019-04-09 13:42:07asvetlovsetstatus: open -> closed

nosy: - miss-islington
messages: + msg339749

resolution: fixed
stage: patch review -> resolved
2019-04-09 13:41:13miss-islingtonsetnosy: + miss-islington
messages: + msg339748
2019-04-09 13:08:17cheryl.sabellasettype: enhancement
versions: + Python 3.8
2018-07-18 09:22:06python-devsetkeywords: + patch
stage: patch review
pull_requests: + pull_request7858
2018-07-17 13:52:23qdawanscreate